import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:scrobbles/models/statistics_global.dart';

class ContentStatisticsGlobal extends StatelessWidget {
  final StatisticsGlobalData statistics;

  const ContentStatisticsGlobal({super.key, required this.statistics});

  @override
  Widget build(BuildContext context) {
    final TextTheme textTheme = Theme.of(context).primaryTextTheme;
    const String placeholder = '⏳';

    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          'statistics_total_scrobbles_count',
          style: textTheme.bodyMedium,
        ).tr(
          namedArgs: {
            'count': this.statistics.totalCount != null
                ? this.statistics.totalCount.toString()
                : placeholder,
          },
        ),
        Text(
          'statistics_last_scrobble',
          style: textTheme.bodyMedium,
        ).tr(
          namedArgs: {
            'datetime': this.statistics.lastScrobble != null
                ? DateFormat().format(this.statistics.lastScrobble ?? DateTime.now())
                : placeholder,
          },
        ),
      ],
    );
  }
}
